DirectPropertyAccessor (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.property
Class DirectPropertyAccessor

    java.lang.Object
      org.hibernate.property.DirectPropertyAccessor

All Implemented Interfaces:
  PropertyAccessor

    public class DirectPropertyAccessor

extends Object
implements PropertyAccessor

Accesses fields directly.

Nested Class Summary
`static class` | `DirectPropertyAccessor.DirectGetter`
`static class` | `DirectPropertyAccessor.DirectSetter`

Constructor Summary
`DirectPropertyAccessor()`

Method Summary
`Getter` | `getGetter(Class theClass, String propertyName)` Create a "getter" for the named attribute
`Setter` | `getSetter(Class theClass, String propertyName)` Create a "setter" for the named attribute

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectPropertyAccessor

    public DirectPropertyAccessor()

Method Detail

### getGetter

    public Getter getGetter(Class theClass,
                            String propertyName)
                     throws PropertyNotFoundException

  Description copied from interface: `PropertyAccessor`
  Create a "getter" for the named attribute

  Specified by:
    `getGetter` in interface `PropertyAccessor`
  Parameters:
    `theClass` - The class on which the property is defined.
    `propertyName` - The name of the property.
  Returns:
    An appropriate getter.
  Throws:
    `PropertyNotFoundException` - Indicates a problem interpretting the propertyName

### getSetter

    public Setter getSetter(Class theClass,
                            String propertyName)
                     throws PropertyNotFoundException

  Description copied from interface: `PropertyAccessor`
  Create a "setter" for the named attribute

  Specified by:
    `getSetter` in interface `PropertyAccessor`
  Parameters:
    `theClass` - The class on which the property is defined.
    `propertyName` - The name of the property.
  Returns:
    An appropriate setter
  Throws:
    `PropertyNotFoundException` - Indicates a problem interpretting the propertyName

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.